#!/bin/sh

TARGET=m68k-atari-mint
HOST=`gcc -dumpmachine`
PACKAGE=../nuq
PREFIX=/home/patrice/cross-tools

PARAMETERS="--disable-zlib --with-clients=sdl --with-sharepath=. --with-global-cfg=./nuq.conf --with-userpath=."

export PATH=${PREFIX}/bin:${PREFIX}/${TARGET}/bin:$PATH
export CFLAGS="-D_GNU_SOURCE -O2 -fomit-frame-pointer"
#export CFLAGS="-D_GNU_SOURCE -O2 -m68020-60 -fomit-frame-pointer"
export CXXFLAGS=$CFLAGS

export CC=${TARGET}-gcc
export CXX=${TARGET}-g++
export RANLIB=${TARGET}-ranlib
export AR=${TARGET}-ar
export NM=${TARGET}-nm
export LD=${TARGET}-ld

${PACKAGE}/configure \
--prefix=${PREFIX}/${TARGET} \
--infodir=${PREFIX}/${TARGET}/share/info \
--mandir=${PREFIX}/${TARGET}/share/man \
--host=${HOST} \
--target=${TARGET} \
--disable-shared \
--enable-static \
--disable-debug \
${PARAMETERS} $*

